<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__enums" kind="group">
    <compoundname>group_sar_enums</compoundname>
    <title>Enumerated Types</title>
    <innergroup refid="group__group__sar__ctrl__register__enums">Control Register Enums</innergroup>
    <innergroup refid="group__group__sar__sample__ctrl__register__enums">Sample Control Register Enums</innergroup>
    <innergroup refid="group__group__sar__sample__time__shift__enums">Sample Time Register Enums</innergroup>
    <innergroup refid="group__group__sar__range__thres__register__enums">Range Interrupt Register Enums</innergroup>
    <innergroup refid="group__group__sar__chan__config__register__enums">Channel Configuration Register Enums</innergroup>
    <innergroup refid="group__group__sar__intr__mask__t__register__enums">Interrupt Mask Register Enums</innergroup>
    <innergroup refid="group__group__sar__mux__switch__register__enums">SARMUX Switch Control Register Enums</innergroup>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__enums_1ga4061024a91b0f2e3aca4716fce722b57" kind="enum" prot="public" static="no">
        <name>cy_en_sar_status_t</name>
        <enumvalue id="group__group__sar__enums_1gga4061024a91b0f2e3aca4716fce722b57a1bcc04151b677cb6e16050b40309b21a" prot="public">
          <name>CY_SAR_SUCCESS</name>
          <initializer>= 0x00UL</initializer>
          <briefdescription>
<para>Success. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga4061024a91b0f2e3aca4716fce722b57a57b9a5eff2273406f83163b1327d90a3" prot="public">
          <name>CY_SAR_BAD_PARAM</name>
          <initializer>= CY_SAR_ID | CY_PDL_STATUS_ERROR | 0x01UL</initializer>
          <briefdescription>
<para>Invalid input parameters. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga4061024a91b0f2e3aca4716fce722b57a44e1566e197fcff713fcfde3cdac7b7a" prot="public">
          <name>CY_SAR_TIMEOUT</name>
          <initializer>= CY_SAR_ID | CY_PDL_STATUS_ERROR | 0x02UL</initializer>
          <briefdescription>
<para>A timeout occurred. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga4061024a91b0f2e3aca4716fce722b57a2f9bf37990569d42668c00e88de46f45" prot="public">
          <name>CY_SAR_CONVERSION_NOT_COMPLETE</name>
          <initializer>= CY_SAR_ID | CY_PDL_STATUS_ERROR | 0x03UL</initializer>
          <briefdescription>
<para>SAR conversion is not complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_status_t: </bold><linebreak />The SAR status/error code definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="805" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="799" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="800" />
      </memberdef>
      <memberdef id="group__group__sar__enums_1gaf21d08e4f15f54ac638943e50538d95c" kind="enum" prot="public" static="no">
        <name>cy_en_sar_start_convert_sel_t</name>
        <enumvalue id="group__group__sar__enums_1ggaf21d08e4f15f54ac638943e50538d95ca2aae9e550dc6dd379d8a37d28445dbbf" prot="public">
          <name>CY_SAR_START_CONVERT_SINGLE_SHOT</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Start a single scan (one shot) from firmware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1ggaf21d08e4f15f54ac638943e50538d95caf9d6d2d190b4a044611be54dbe147890" prot="public">
          <name>CY_SAR_START_CONVERT_CONTINUOUS</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Continuously scan enabled channels and ignores all triggers, firmware or hardware. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_start_convert_sel_t: </bold><linebreak />Definitions for starting a conversion used in <ref kindref="member" refid="group__group__sar__functions__basic_1ga92cb7f3c5947df6e47b59f1b2796883c">Cy_SAR_StartConvert</ref>.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="812" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="808" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="809" />
      </memberdef>
      <memberdef id="group__group__sar__enums_1ga31da850b49ff727a00789aaa33104c59" kind="enum" prot="public" static="no">
        <name>cy_en_sar_return_mode_t</name>
        <enumvalue id="group__group__sar__enums_1gga31da850b49ff727a00789aaa33104c59a9f85f2cc172774017e8ae7699927046e" prot="public">
          <name>CY_SAR_RETURN_STATUS</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Immediately returns the conversion status. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga31da850b49ff727a00789aaa33104c59a23c1dd72a6ee1a41e29358eeafe34c0b" prot="public">
          <name>CY_SAR_WAIT_FOR_RESULT</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Does not return a result until the conversion of all sequential channels is complete. </para>          </briefdescription>
          <detaileddescription>
<para>This mode is blocking. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga31da850b49ff727a00789aaa33104c59a57a6bc812cac15b69f11ef6bb75cf25a" prot="public">
          <name>CY_SAR_RETURN_STATUS_INJ</name>
          <initializer>= 2UL</initializer>
          <briefdescription>
<para>Immediately returns the conversion status of the injection channel. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1gga31da850b49ff727a00789aaa33104c59a6f6d8250b0edfc232694f3a76f2badbc" prot="public">
          <name>CY_SAR_WAIT_FOR_RESULT_INJ</name>
          <initializer>= 3UL</initializer>
          <briefdescription>
<para>Does not return a result until the conversion of injection channels is complete. </para>          </briefdescription>
          <detaileddescription>
<para>This mode is blocking. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_return_mode_t: </bold><linebreak />Definitions for the return mode used in <ref kindref="member" refid="group__group__sar__functions__basic_1ga977c6fb6f81ee39d27eae43c0e45d85c">Cy_SAR_IsEndConversion</ref>.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="821" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="815" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="816" />
      </memberdef>
      <memberdef id="group__group__sar__enums_1gaaf741c5e93385a873ab81b6fccd856ad" kind="enum" prot="public" static="no">
        <name>cy_en_sar_switch_state_t</name>
        <enumvalue id="group__group__sar__enums_1ggaaf741c5e93385a873ab81b6fccd856adae751f79b2149f4fb0d69459032ee4b39" prot="public">
          <name>CY_SAR_SWITCH_OPEN</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Open the switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1ggaaf741c5e93385a873ab81b6fccd856ada209d2342e14329cfee7d0401ea896e21" prot="public">
          <name>CY_SAR_SWITCH_CLOSE</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Close the switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_switch_state_t: </bold><linebreak />Switch state definitions.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="828" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="824" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="825" />
      </memberdef>
      <memberdef id="group__group__sar__enums_1gad920c2a523792124fdb8a50052247705" kind="enum" prot="public" static="no">
        <name>cy_en_sar_switch_sar_seq_ctrl_t</name>
        <enumvalue id="group__group__sar__enums_1ggad920c2a523792124fdb8a50052247705a7f198e6a6e2ea84c154b3d7b894d6ce7" prot="public">
          <name>CY_SAR_SWITCH_SEQ_CTRL_DISABLE</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Disable sequencer control of switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__enums_1ggad920c2a523792124fdb8a50052247705a8c8f5667c8b22cf76bc5dc6a0b250441" prot="public">
          <name>CY_SAR_SWITCH_SEQ_CTRL_ENABLE</name>
          <initializer>= 1UL</initializer>
          <briefdescription>
<para>Enable sequencer control of switch. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_switch_sar_seq_ctrl_t: </bold><linebreak />Definitions for sequencer control of switches.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="835" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="831" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="832" />
      </memberdef>
      <memberdef id="group__group__sar__enums_1gaa45a7677b7c1051696ea01c15439bc11" kind="enum" prot="public" static="no">
        <name>cy_en_sar_switch_register_sel_t</name>
        <enumvalue id="group__group__sar__enums_1ggaa45a7677b7c1051696ea01c15439bc11a78079f5b79489ddd8d21a0b4ec8be486" prot="public">
          <name>CY_SAR_MUX_SWITCH0</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>SARMUX switch control register. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_switch_register_sel_t: </bold><linebreak />Switch register selection for <ref kindref="member" refid="group__group__sar__functions__switches_1gabc0b47c3fd4c0a21adb41140bb380592">Cy_SAR_SetAnalogSwitch</ref> and <ref kindref="member" refid="group__group__sar__functions__switches_1ga32b1e620f85def61a81a0f66f4349498">Cy_SAR_GetAnalogSwitch</ref>.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="841" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="838" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="839" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>